Ruby - Bug #1309

dl tests
03/22/2009 04:58 PM - cfis (Charlie Savage)

Status: Rejected

Priority: Normal

Assignee: nobu (Nobuyoshi Nakada)

Target version: 1.9.2

ruby -v: ruby 1.9.2dev (2009-03-21) Backport:
[(386-mswin32_90]

Description

=begin

The dl tests now pass again on windows (thanks!).
However, instead of getting the runtime library name from the dll name, it seems more appropriate to use the site-arch config setting.

Patch attached.
=end

History

#1 - 03/23/2009 07:25 AM - nobu (Nobuyoshi Nakada)

=begin
Hi,

At Sun, 22 Mar 2009 16:55:56 +0900,
Charlie Savage wrote in [ruby-core:22990]:

However, instead of getting the runtime library name from the

dll name, it seems more appropriate to use the site-arch
config setting.

What's the reason?

Nobu Nakada
=end

#2 - 03/23/2009 07:57 AM - cfis (Charlie Savage)

=begin
Two reasons.

First is philosophical. Using "sitearch" seems more apppriate than "RUBY_SO_NAME" - that is the point of sitearch isn't it?

Second is practical. | continue to hope that I'll be able to convince ruby core that the shared library name on windows should be ruby19.dll (I'll be
sending another email soon :). Therefore RUBY_SO_NAME will no longer work for this.

Charlie
=end

#3 - 03/23/2009 11:21 AM - nobu (Nobuyoshi Nakada)

=begin
Hi,

At Mon, 23 Mar 2009 07:54:54 +0900,
Charlie Savage wrote in [ruby-core:22997]:

First is philosophical. Using "sitearch" seems more apppriate

than "RUBY_SO_NAME" - that is the point of sitearch isn't it?

RUBY_SO_NAME is too.
Second is practical. | continue to hope that I'll be able to
convince ruby core that the shared library name on windows
should be ruby19.dll (I'll be sending another email soon :).
Therefore RUBY_SO_NAME will no longer work for this.

| had explained why it can't. Do you have any suggestion for
workaround?

Nobu Nakada
=end

#4 - 03/23/2009 12:18 PM - cfis (Charlie Savage)

=begin
Hi Nobu,

Let's take the dll naming issue back to ruby-core, I'll post there in the next couple of days.

I'd still like this test to use sitearch. Is there any good reason why it can't?

Charlie
=end

#5 - 07/16/2009 06:22 PM - yugui (Yuki Sonoda)
- Assignee set to nobu (Nobuyoshi Nakada)

- Target version changed from 1.9.1 to 1.9.2

=begin

=end

#6 - 04/14/2010 08:19 PM - usa (Usaku NAKAMURA)
- Status changed from Open to Rejected

=begin

=end

Files

test_base.patch 536 Bytes
